Subject: bug#33787: Policy Change: Use of /etc/gnu.conf files to configure default system behavior

From: L A Walsh <[email-masked]>
Date: Mon, 31 Dec 2018 03:36:45 -0800

On 12/20/2018 5:21 PM, Assaf Gordon wrote:
> For example,
> If there was an "rm --depth-first" feature,
> you could enable it easily with "alias" - right?
---
	If you would ensure that this is possible, you would have
my gratitude.  However, it is not the case.  The algorithm USED to
be depth first, as described in old unix books describing the utility.

However, someone added processing before descending depth first --
specifically, if current name = '.', then abort any processing of that
tree.  Dunno if it was a local distro patch or use of some different
version of 'rm' (thinking this might have been the case, as I seem to remember
it support an 'x' option to not cross into other file systems), but 
but it used to be the case in some past version that rm would 
delete the files under / in that directory without deleting the 
directory.  It was more concise and safer than anything than
any workaround that has been suggested since.

So if there was an alias to restore that simple behavior, please
share it.

> 3. Adding "--expand-tabs" option to multiple programs.
----
	This was asked for and denied.  
type.  Compare:
df output		vs. 	 	ls output

8.0K  /usr/adm                          0 adm
0 /usr/arpwatch                         0 arpwatch
76K /usr/bandwidthd                     0 bandwidthd
1.5G  /usr/bin                       288K bin
1.6G  /usr/bin1                      300K bin1
0 /usr/com                              0 com
0 /usr/db                               0 db
304K  /usr/etc                       4.0K etc
0 /usr/games                            0 games
294M  /usr/include                    60K include
0 /usr/java                             0 java
2.5G  /usr/lib                        32K lib
4.8G  /usr/lib64                     264K lib64
780K  /usr/libexec                   4.0K libexec
284K  /usr/libreadline.so.6          284K libreadline.so.6
467M  /usr/local                     284K libreadline.so.6.2
0 /usr/lock                             0 local
0 /usr/man                              0 lock
0 /usr/opt                              0 man
16K /usr/run                            0 opt
1.8M  /usr/samba                        0 run
128M  /usr/sbin                      4.0K samba
16G /usr/share                        60K sbin
0 /usr/src                            44K share
6.7M  /usr/swat                         0 src
0 /usr/tmp                              0 swat
0 /usr/var                              0 tmp
20K /usr/virtualbox                     0 var
0 /usr/x86_64-suse-linux             8.0K virtualbox
total 1.6M                              0 x86_64-suse-linux

by default ls has options to expand to screen tabs and line things up.
'du' does not.

> 
> As for #1 - this idea is the topic of the current thread,
> and was previously decided to not be accepted.
> 
> As for #2 - not sure if this was discussed before,
> but I have a hunch that once more sophisticated control
> over file-traversal is needed, find(1) is likely better
> solution (e.g. "find -depth").
> 
> As for #3 - The "expand" program already does tab-expansion.
> It can be easily combined with existing programs using
> a simple shell function.
----
	So can calling a library where the output is expanded
automatically according to user choice in a config file.

I shouldn't have to figure out the syntax of a separate program to get
a 1-time usage of lined up output.